## FolksLocalIdDetails

FolksLocalIdDetails — This interface represents the list of "iid"s corresponding to FolksPersonas from backends with write support so that they can be linked.

## Types and Values

| FolksLocalIdDetails
struct | FolksLocalIdDetailsIface

## Description

This is necessary so that personas from the same backend can be linked together even if they have no other linkeable properties set.

## Functions

## Types and Values

### FolksLocalIdDetails

    typedef struct _FolksLocalIdDetails FolksLocalIdDetails;

This interface represents the list of "iid"s corresponding to FolksPersonas from backends with write support so that they can be linked.

This is necessary so that personas from the same backend can be linked together even if they have no other linkeable properties set.

Since: 0.5.0

### struct FolksLocalIdDetailsIface

    struct FolksLocalIdDetailsIface {
    	GTypeInterface parent_iface;
    	void (*change_local_ids) (FolksLocalIdDetails* self, GeeSet* local_ids, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_local_ids_finish) (FolksLocalIdDetails* self, GAsyncResult* _res_, GError** error);
    	GeeSet* (*get_local_ids) (FolksLocalIdDetails* self);
    	void (*set_local_ids) (FolksLocalIdDetails* self, GeeSet* value);
    };

Interface for creating FolksLocalIdDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`change_local_ids` () | virtual method called by ``folks_local_id_details_change_local_ids()`` |
`change_local_ids_finish` () | asynchronous finish function for `change_local_ids`, called by ``folks_local_id_details_change_local_ids()`` |
`get_local_ids` () | getter method for the abstract property "local-ids" |
`set_local_ids` () | setter method for the abstract property "local-ids" |